<div class="example-container">
    <mat-form-field>
      <input matInput [formControl]="username" placeholder="Username" required>
      <mat-error *ngIf="username.invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput [formControl]="name" placeholder="Name" required>
      <mat-label><mat-icon>favorite</mat-icon><i> Your name</i></mat-label>
      <mat-error *ngIf="name.invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>
  

  <mat-form-field>
      <input matInput [formControl]="email" placeholder="E-mail" required>
      <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>
    

  <mat-form-field hintLabel="Minimum 6 characters">
      <input matInput #input [formControl]="password"  placeholder ="Password" required [type]="hide ? 'password' : 'text'">
      <mat-icon matSuffix (click)="hide = !hide">{{hide?'visibility_off' : 'visibility'}}</mat-icon>
      <mat-hint *ngIf="input.value.length<=6" align="end">{{6-input.value.length}}</mat-hint>
      <mat-error *ngIf="password.invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>
  
    <form class="example-container" [formGroup]="gender">
        <div>
          <span id="a">Gender:&nbsp; </span>
          <mat-radio-group formControlName="formGender">
            <mat-radio-button value="male">male</mat-radio-button>
            <mat-radio-button value="female">female</mat-radio-button>
          </mat-radio-group>
        </div>
      </form>

      <mat-form-field>
          <input matInput placeholder="Phone number">
          <span matPrefix>+91-&nbsp;</span>
        </mat-form-field>

    </div>
    